tbb::null_rw_mutex::scoped_lock Class Reference

Represents acquisition of a mutex. More...

`#include <null_rw_mutex.h>`

Inheritance diagram for tbb::null_rw_mutex::scoped_lock:
Collaboration diagram for tbb::null_rw_mutex::scoped_lock:

## Public Member Functions

| scoped_lock ()
| scoped_lock (null_rw_mutex &, bool=true)
| ~scoped_lock ()
void | acquire (null_rw_mutex &, bool=true)
bool | upgrade_to_writer ()
bool | downgrade_to_reader ()
bool | try_acquire (null_rw_mutex &, bool=true)
void | release ()

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Represents acquisition of a mutex.

Definition at line 30 of file null_rw_mutex.h.

## Constructor & Destructor Documentation

## scoped_lock() [1/2]

tbb::null_rw_mutex::scoped_lock::scoped_lock | ( |  | ) |

inline

Definition at line 32 of file null_rw_mutex.h.

{}

## scoped_lock() [2/2]

tbb::null_rw_mutex::scoped_lock::scoped_lock | ( | null_rw_mutex & | ,
|  | bool | = `true`
| ) |  |

inline

Definition at line 33 of file null_rw_mutex.h.

{}

## ~scoped_lock()

tbb::null_rw_mutex::scoped_lock::~scoped_lock | ( |  | ) |

inline

Definition at line 34 of file null_rw_mutex.h.

{}

## Member Function Documentation

## acquire()

void tbb::null_rw_mutex::scoped_lock::acquire | ( | null_rw_mutex & | ,
|  | bool | = `true`
| ) |  |

inline

Definition at line 35 of file null_rw_mutex.h.

{}

## downgrade_to_reader()

bool tbb::null_rw_mutex::scoped_lock::downgrade_to_reader | ( |  | ) |

inline

Definition at line 37 of file null_rw_mutex.h.

{ return true; }

## release()

void tbb::null_rw_mutex::scoped_lock::release | ( |  | ) |

inline

Definition at line 39 of file null_rw_mutex.h.

{}

## try_acquire()

bool tbb::null_rw_mutex::scoped_lock::try_acquire | ( | null_rw_mutex & | ,
|  | bool | = `true`
| ) |  |

inline

Definition at line 38 of file null_rw_mutex.h.

{ return true; }

## upgrade_to_writer()

bool tbb::null_rw_mutex::scoped_lock::upgrade_to_writer | ( |  | ) |

inline

Definition at line 36 of file null_rw_mutex.h.

{ return true; }

The documentation for this class was generated from the following file:

- null_rw_mutex.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.